(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     11471,        398]*)
(*NotebookOutlinePosition[     12332,        428]*)
(*  CellTagsIndexPosition[     12288,        424]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
Pr\[AAcute]ctica 2
C\[AAcute]lculo simb\[OAcute]lico y c\[AAcute]lculo aproximado\
\>", "Subtitle",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  TextAlignment->Center],

Cell["\<\
En esta pr\[AAcute]ctica se pretende que el alumno distinga la diferencia \
entre operar con Mathematica de forma simb\[OAcute]lica, con una precisi\
\[OAcute]n infinita, y operar de forma aproximada con una cierta precisi\
\[OAcute]n que podemos determinar.\
\>", "Text",
  Evaluatable->False],

Cell["Clear[\"Global`*\"]", "Input",
  PageWidth->Infinity,
  FontFamily->"Courier New",
  FontSize->12,
  FontWeight->"Bold",
  FontColor->GrayLevel[0],
  Background->GrayLevel[1]],

Cell["Tipos de n\[UAcute]meros", "Section",
  Evaluatable->False],

Cell["\<\
En primer lugar vamos a recordar que Mathematica  puede trabajar con todo \
tipo de n\[UAcute]meros: enteros, racionales, reales y complejos. Tambi\
\[EAcute]n haremos algunos c\[AAcute]lculos elementales. Piense qu\[EAcute] \
resultado dar\[AAcute] en cada caso. Observe la diferencia entre escribir los \
n\[UAcute]meros enteros y usando punto decimal. Para escribir n\[UAcute]meros \
complejos se utiliza la unidad imaginaria I. La parte real e imaginaria se \
pueden obtener mediante las sentencias Re[complejo], Im[complejo].  Pi es el \
valor la raz\[OAcute]n entre la longitud de la circunferencia y su \
di\[AAcute]metro,  E es la base del logaritmo neperiano. Recordar que % \
indica la \[UAcute]ltima salida y que para que el ordenador realice los c\
\[AAcute]lculos debe estar sobre la l\[IAcute]nea correspondiente o situarse \
sobre el corchete que est\[AAcute] a la derecha y marcarlo con el \
rat\[OAcute]n. A continuaci\[OAcute]n pulse la tecla Insert  o las teclas \
Shift + Enter a la vez. H\[AAcute]galo y vea los resultados. \
\>", "Text",
  Evaluatable->False],

Cell["2+3", "Input",
  PageWidth->Infinity],

Cell["2.+3", "Input",
  PageWidth->Infinity],

Cell["1/4+1/2", "Input",
  PageWidth->Infinity],

Cell["1/4.+1/2", "Input",
  PageWidth->Infinity],

Cell["Pi", "Input",
  PageWidth->Infinity],

Cell["Pi+2.", "Input",
  PageWidth->Infinity],

Cell["Pi/E", "Input",
  PageWidth->Infinity],

Cell["I^2", "Input",
  PageWidth->Infinity],

Cell["(2/5+3I)(6-3I)", "Input",
  PageWidth->Infinity],

Cell["Re[%] - I Im[%]", "Input",
  PageWidth->Infinity],

Cell["Conjugate[%%]", "Input",
  PageWidth->Infinity],

Cell["Precisi\[OAcute]n", "Section",
  Evaluatable->False],

Cell["\<\
Como habr\[AAcute] notado, Mathematica  siempre devuelve un resultado lo m\
\[AAcute]s exacto posible, teniendo en cuenta el tipo de n\[UAcute]meros con \
los que se est\[AAcute] operando.  En todo caso, si no se especifica lo \
contrario, intenta  obtener precisi\[OAcute]n infinita, y para ello, no tiene \
m\[AAcute]s remedio que  trabajar de forma simb\[OAcute]lica cuando opera con \
fracciones o n\[UAcute]meros reales que no est\[AAcute]n dados en forma \
decimal. Pero \[EAcute]sto lo podemos controlar nosotros  con el comando   \
N[n\[UAcute]mero,precisi\[OAcute]n], si queremos trabajar con un \
n\[UAcute]mero determinado de cifras significativas. Comprobad los siguientes \
resultados.\
\>", "Text",
  Evaluatable->False],

Cell["E", "Input",
  PageWidth->Infinity],

Cell["N[E,100]", "Input",
  PageWidth->Infinity],

Cell["%//N", "Input",
  PageWidth->Infinity],

Cell["N[1/3]", "Input",
  PageWidth->Infinity],

Cell["Rationalize[%]", "Input",
  PageWidth->Infinity],

Cell["Funciones matem\[AAcute]ticas", "Section",
  Evaluatable->False],

Cell["\<\
Por supuesto que Mathematica  tiene incorporadas la mayor\[IAcute]a de las \
funciones matem\[AAcute]ticas usuales, como  por ejemplo: Exp es la funci\
\[OAcute]n exponencial; Log obtiene el logaritmo neperiano; Sqrt  la ra\
\[IAcute]z cuadrada; Abs el valor absoluto; Floor,  Round  y Ceiling \
aproximan mediante enteros;, Sin, Cos, Tan, Sec, Csc, Cot ,etc .. son \
funciones trigonom\[EAcute]tricas; con sus an\[AAcute]logas funciones hiperb\
\[OAcute]licas Sinh, Cosh, Tanh, Sech, Csch, Coth, etc... N\[OAcute]tese como \
la primera letra de todas estas  funciones se escribe con may\[UAcute]scula  \
y las restantes con min\[UAcute]scula ; el argumento va entre corchetes.\
\>", "Text",
  Evaluatable->False],

Cell["Exp[2]+Log[10]-Sqrt[5]", "Input",
  PageWidth->Infinity],

Cell["Log[10.]-Sqrt[5.]", "Input",
  PageWidth->Infinity],

Cell["N[%,10]", "Input",
  PageWidth->Infinity],

Cell["Sin[Pi]-Cos[Pi]", "Input",
  PageWidth->Infinity],

Cell["Sqrt[-5.0]", "Input",
  PageWidth->Infinity],

Cell["Floor[25.1]", "Input",
  PageWidth->Infinity],

Cell["Round[25.1]", "Input",
  PageWidth->Infinity],

Cell["Ceiling[25.1]", "Input",
  PageWidth->Infinity],

Cell["Floor[-7.31]", "Input",
  PageWidth->Infinity],

Cell["Round[-7.31]", "Input",
  PageWidth->Infinity],

Cell["Abs[%]", "Input",
  PageWidth->Infinity],

Cell["\<\
Abs[Round[-7.31]]   (*n\[OAcute]tese c\[OAcute]mo se pueden
\t\t   componer varias funciones*)\
\>", "Input",
  PageWidth->Infinity],

Cell["Expresiones algebraicas", "Section",
  Evaluatable->False],

Cell["\<\
Pero todav\[IAcute]a no hemos explotado toda la potencia que tiene \
Mathematica  para trabajar de forma simb\[OAcute]lica, efectuando multitud de \
operaciones algebraicas y de c\[AAcute]lculo con expresiones que no tienen \
porqu\[EAcute] tener un valor num\[EAcute]rico concreto. Ve\[AAcute]nse los \
siguientes ejemplos:\
\>", "Text",
  Evaluatable->False],

Cell["a+2a+7b+5c-3b", "Input",
  PageWidth->Infinity],

Cell["\<\
Exp[Log[x]]  (* ambas funciones son una
                inversa de la otra*)\
\>", "Input",
  PageWidth->Infinity],

Cell["Sqrt[x^3] Exp[x+Log[x]]", "Input",
  PageWidth->Infinity],

Cell["Polinomios y funciones racionales", "Section",
  Evaluatable->False],

Cell["\<\
Vamos a efectuar a continuaci\[OAcute]n operaciones elementales con \
polinomios  y funciones racionales de una y varias variables. Aver\[IAcute]g\
\[UDoubleDot]elas:\
\>", "Text",
  Evaluatable->False],

Cell["x+x y+ 4x y^2+ 8y x- 7y x^2+2x^2 y+x^3 y^2", "Input",
  PageWidth->Infinity],

Cell["Collect[%,x]", "Input",
  PageWidth->Infinity],

Cell["Collect[%%,y]", "Input",
  PageWidth->Infinity],

Cell["(x+y)^2", "Input",
  PageWidth->Infinity],

Cell["Expand[%]", "Input",
  PageWidth->Infinity],

Cell["Factor[%]", "Input",
  PageWidth->Infinity],

Cell["(x^3+3x^2+3x+1)/(x^2+2x+1)", "Input",
  PageWidth->Infinity],

Cell["Numerator[%]", "Input",
  PageWidth->Infinity],

Cell["Denominator[%%]", "Input",
  PageWidth->Infinity],

Cell["Factor[%]", "Input",
  PageWidth->Infinity],

Cell["Factor[%%%]", "Input",
  PageWidth->Infinity],

Cell["(1 + x)^3/(1 + x)^2", "Input",
  PageWidth->Infinity],

Cell["Apart[(3x^2+8x+2)/(x^2-5x+6)]", "Input",
  PageWidth->Infinity],

Cell["Together[%]", "Input",
  PageWidth->Infinity],

Cell["ExpandDenominator[%]", "Input",
  PageWidth->Infinity],

Cell["Factor[Numerator[%]]", "Input",
  PageWidth->Infinity],

Cell["Factor[Denominator[%%]]", "Input",
  PageWidth->Infinity],

Cell["Expand[(x+y)^10]", "Input",
  PageWidth->Infinity],

Cell["Short[%]", "Input",
  PageWidth->Infinity],

Cell["Expresiones trigonom\[EAcute]tricas e hiperb\[OAcute]licas", "Section",
  Evaluatable->False],

Cell["\<\
Para poder manipular convenientemente expresiones trigonom\[EAcute]tricas, es \
necesario usar la opci\[OAcute]n  Trig->True  dentro de las sentencias  \
Expand y  Factor  como sigue:\
\>", "Text",
  Evaluatable->False],

Cell["Expand[2Sin[a]Cos[b],Trig->True]", "Input",
  PageWidth->Infinity],

Cell["Factor[Cos[x]Cos[y]+Sin[x]Sin[y],Trig->True]", "Input",
  PageWidth->Infinity],

Cell["Simplify[Sin[x]^2+Cos[x]^2]", "Input",
  PageWidth->Infinity],

Cell["Ejercicios", "Section",
  Evaluatable->False],

Cell["\<\

1.- Calcule la ra\[IAcute]z cuadrada de d1, d2, d3, y  d4, con dos, tres, \
cuatro y cinco cifras decimales, respectivamente.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Outline"->False,
  "Shadow"->False}],

Cell["\<\

2.- Calcule el valor de d3 m\[AAcute]s la exponencial de la ra\[IAcute]z  \
cuadrada de Pi, con 8 cifras decimales.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Outline"->False,
  "Shadow"->False}],

Cell["\<\

3.- Calcule el coseno y el seno, con cuatro cifras decimales, de \
(Pi+d1)/(d2+d3).\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Outline"->False,
  "Shadow"->False}],

Cell["\<\

4.- Se considera la siguiente fracci\[OAcute]n racional:  (d1 x^2+ d2 x+d3)/( \
d1 x- d2)^2. Factorice el numerador si es posible y encuentre la descomposici\
\[OAcute]n en fracciones simples, mediante  Apart. \
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Outline"->False,
  "Shadow"->False}],

Cell["\<\

 5.- Mediante las \[OAcute]rdenes Simplify o Factor[ expr ,Trig->True]  \
simplifique las  siguientes expresiones  trigonom\[EAcute]tricas e hiperb\
\[OAcute]licas:
  a)    cos(x)sin(y)+cos(y)sin(x) 
 b)    cos(x)cos(y)-sin(x)sin(y)
 c)    cosh(x)^2 - sinh(x)^2
 d)    cosh(x)cosh(y)-sinh(x)sinh(y)\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontTracking->"Plain",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667],
  FontVariations->{"Outline"->False,
  "Shadow"->False}]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 542}},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{645, 454},
WindowMargins->{{0, Automatic}, {Automatic, 5}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 190, 6, 83, "Subtitle"],
Cell[1902, 57, 304, 6, 52, "Text"],
Cell[2209, 65, 181, 6, 46, "Input"],
Cell[2393, 73, 65, 1, 53, "Section"],
Cell[2461, 76, 1091, 16, 166, "Text"],
Cell[3555, 94, 43, 1, 30, "Input"],
Cell[3601, 97, 44, 1, 30, "Input"],
Cell[3648, 100, 47, 1, 30, "Input"],
Cell[3698, 103, 48, 1, 30, "Input"],
Cell[3749, 106, 42, 1, 30, "Input"],
Cell[3794, 109, 45, 1, 30, "Input"],
Cell[3842, 112, 44, 1, 30, "Input"],
Cell[3889, 115, 43, 1, 30, "Input"],
Cell[3935, 118, 54, 1, 30, "Input"],
Cell[3992, 121, 55, 1, 30, "Input"],
Cell[4050, 124, 53, 1, 30, "Input"],
Cell[4106, 127, 58, 1, 53, "Section"],
Cell[4167, 130, 744, 12, 109, "Text"],
Cell[4914, 144, 41, 1, 30, "Input"],
Cell[4958, 147, 48, 1, 30, "Input"],
Cell[5009, 150, 44, 1, 30, "Input"],
Cell[5056, 153, 46, 1, 30, "Input"],
Cell[5105, 156, 54, 1, 30, "Input"],
Cell[5162, 159, 70, 1, 53, "Section"],
Cell[5235, 162, 723, 11, 109, "Text"],
Cell[5961, 175, 62, 1, 30, "Input"],
Cell[6026, 178, 57, 1, 30, "Input"],
Cell[6086, 181, 47, 1, 30, "Input"],
Cell[6136, 184, 55, 1, 30, "Input"],
Cell[6194, 187, 50, 1, 30, "Input"],
Cell[6247, 190, 51, 1, 30, "Input"],
Cell[6301, 193, 51, 1, 30, "Input"],
Cell[6355, 196, 53, 1, 30, "Input"],
Cell[6411, 199, 52, 1, 30, "Input"],
Cell[6466, 202, 52, 1, 30, "Input"],
Cell[6521, 205, 46, 1, 30, "Input"],
Cell[6570, 208, 142, 4, 48, "Input"],
Cell[6715, 214, 64, 1, 53, "Section"],
Cell[6782, 217, 370, 7, 71, "Text"],
Cell[7155, 226, 53, 1, 30, "Input"],
Cell[7211, 229, 124, 4, 48, "Input"],
Cell[7338, 235, 63, 1, 30, "Input"],
Cell[7404, 238, 74, 1, 53, "Section"],
Cell[7481, 241, 212, 5, 52, "Text"],
Cell[7696, 248, 82, 1, 30, "Input"],
Cell[7781, 251, 52, 1, 30, "Input"],
Cell[7836, 254, 53, 1, 30, "Input"],
Cell[7892, 257, 47, 1, 30, "Input"],
Cell[7942, 260, 49, 1, 30, "Input"],
Cell[7994, 263, 49, 1, 30, "Input"],
Cell[8046, 266, 66, 1, 30, "Input"],
Cell[8115, 269, 52, 1, 30, "Input"],
Cell[8170, 272, 55, 1, 30, "Input"],
Cell[8228, 275, 49, 1, 30, "Input"],
Cell[8280, 278, 51, 1, 30, "Input"],
Cell[8334, 281, 59, 1, 30, "Input"],
Cell[8396, 284, 69, 1, 30, "Input"],
Cell[8468, 287, 51, 1, 30, "Input"],
Cell[8522, 290, 60, 1, 30, "Input"],
Cell[8585, 293, 60, 1, 30, "Input"],
Cell[8648, 296, 63, 1, 30, "Input"],
Cell[8714, 299, 56, 1, 30, "Input"],
Cell[8773, 302, 48, 1, 30, "Input"],
Cell[8824, 305, 99, 1, 53, "Section"],
Cell[8926, 308, 229, 5, 52, "Text"],
Cell[9158, 315, 72, 1, 30, "Input"],
Cell[9233, 318, 84, 1, 30, "Input"],
Cell[9320, 321, 67, 1, 30, "Input"],
Cell[9390, 324, 51, 1, 53, "Section"],
Cell[9444, 327, 361, 11, 68, "Text"],
Cell[9808, 340, 351, 11, 68, "Text"],
Cell[10162, 353, 319, 11, 68, "Text"],
Cell[10484, 366, 446, 12, 87, "Text"],
Cell[10933, 380, 534, 16, 163, "Text"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

