(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     16189,        594]*)
(*NotebookOutlinePosition[     17050,        624]*)
(*  CellTagsIndexPosition[     17006,        620]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[TextData["Pr\[AAcute]ctica 4"], "Subtitle",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  TextAlignment->Center],

Cell[TextData["Conceptos b\[AAcute]sicos de programaci\[OAcute]n"], "Subtitle",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  TextAlignment->Center],

Cell[TextData["Variables y Funciones"], "Section",
  Evaluatable->False],

Cell[TextData["Clear[\"Global`*\"]"], "Input",
  PageWidth->Infinity],

Cell[TextData[
"     Observe y ejecute  las siguientes asignaciones de datos a variables:"], 
  "Text",
  Evaluatable->False],

Cell[TextData["a=Cos[Pi]"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=3 Sin[Pi/2]-2;"], "Input",
  PageWidth->Infinity],

Cell[TextData["a"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=7*3+5"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=Log[2]"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=4-b"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=(3<1)"], "Input",
  PageWidth->Infinity],

Cell[TextData["a=\"Esto es un texto\""], "Input",
  PageWidth->Infinity],

Cell[TextData["a=Plot[Sin[x],{x,-Pi,Pi}];"], "Input",
  PageWidth->Infinity],

Cell[TextData[
"     Observe la diferencia entre las dos formas de asignaci\[OAcute]n de \
datos a variables en los dos siguientes bloques:"], "Text",
  Evaluatable->False],

Cell[TextData["x=2;\na=x;\nx=3;\na"], "Input",
  PageWidth->Infinity],

Cell[TextData["x=2;\na:=x;\nx=3;\na"], "Input",
  PageWidth->Infinity],

Cell[TextData[
"     A continuaci\[OAcute]n se muestra c\[OAcute]mo se define una funci\
\[OAcute]n con Mathematica mediante algunos ejemplos:"], "Text",
  Evaluatable->False],

Cell[TextData["f[x_]:=x^3"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[2]"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[x_]:=Cos[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[Pi]"], "Input",
  PageWidth->Infinity],

Cell["\<\
     Para que la definici\[OAcute]n sea correcta, el s\[IAcute]mbolo   x   \
debe ser una variable y por tanto no debe tener asignado valor alguno. Obs\
\[EAcute]rvense la salidas del siguiente ejemplo:\
\>", "Text",
  Evaluatable->False],

Cell[TextData["x=3"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[x_]:=x^2"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["f'[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["y ahora las de \[EAcute]ste otro:"], "Text",
  Evaluatable->False],

Cell[TextData["Clear[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["f'[x]"], "Input",
  PageWidth->Infinity],

Cell[TextData["\[DownQuestion]cu\[AAcute]l es la diferencia?."], "Text",
  Evaluatable->False],

Cell[TextData[
"     An\[AAcute]logamente se definen y evaluan funciones de varias varibles \
como se muestra a continuaci\[OAcute]n:"], "Text",
  Evaluatable->False],

Cell[TextData["f[x_,y_]:=x^2+y^2"], "Input",
  PageWidth->Infinity],

Cell[TextData["f[2,3]"], "Input",
  PageWidth->Infinity],

Cell[TextData[
"Expresiones l\[OAcute]gicas. \[CapitalOAcute]rdenes condicionales."], 
  "Section",
  Evaluatable->False],

Cell["\<\
     Las siguientes son expresiones l\[OAcute]gicas construidas con los \
conectivos y operadores l\[OAcute]gicos que Mathematica manipula. Los \
conectivos l\[OAcute]gicos son:
                                                ==     igualdad
                                                ! =     desigualdad
                                                 <      menor que
                                                 >      mayor que
                                                <=     menor o igual que
                                                >=     mayor o igual que
y los operadores l\[OAcute]gicos son:
                                                &&  o  And[ , ]       \
conjunci\[OAcute]n \" y \" ,
                                                 ||     u    Or[ , ]         \
disyunci\[OAcute]n \" o \" ,
                                                 Xor[ , ]                    \
disyunci\[OAcute]n exclusiva ,
                                                 !    o   Not[  ]          \
negaci\[OAcute]n.\
\>", "Text",
  Evaluatable->False],

Cell["a=3", "Input",
  PageWidth->Infinity],

Cell["a==5", "Input",
  PageWidth->Infinity],

Cell["a!=5", "Input",
  PageWidth->Infinity],

Cell["a<5", "Input",
  PageWidth->Infinity],

Cell["a<=5", "Input",
  PageWidth->Infinity],

Cell["a>5", "Input",
  PageWidth->Infinity],

Cell["a>=5", "Input",
  PageWidth->Infinity],

Cell["b=7", "Input",
  PageWidth->Infinity],

Cell["a<=5 && b>=8", "Input",
  PageWidth->Infinity],

Cell["a<=5 || b>=8", "Input",
  PageWidth->Infinity],

Cell["Xor[a<=5,b>=5]", "Input",
  PageWidth->Infinity],

Cell["Not[a<=5]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Observemos ahora como act\[UAcute]an las \[OAcute]rdenes condicionales

                                              If[condici\[OAcute]n, proceso1, \
proceso2]
y
                        Which[condici\[OAcute]n1, proceso1, \
condici\[OAcute]n2, proceso2, ....]

Para ello, ejecute los siguientes bloques de \[OAcute]rdenes\
\>", "Text",
  Evaluatable->False],

Cell["\<\
a=2;
b=3;
If[(a<3) && (b==4), Print[a];Print[b],
                    Print[\"Falso\"]]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
If[(a<=4) || (b>=5), Print[\"a=\",a];Print[\"b=\",b],
                     Print[\"Falso\"]]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
     Compruebe que la orden  If  act\[UAcute]a del siguiente modo: si la \
condici\[OAcute]n es cierta se realiza el  proceso1   y, en caso contrario, \
se realiza el   proceso2. Asimismo, ejecute y observe este otro grupo de \
\[OAcute]rdenes:\
\>", "Text",
  Evaluatable->False],

Cell["f[x_]:=Which[0<=x<=1, x^2, 1<=x<=2, 2-x^2]", "Input",
  PageWidth->Infinity],

Cell["f[0.5]", "Input",
  PageWidth->Infinity],

Cell["f[1.5]", "Input",
  PageWidth->Infinity],

Cell["f[3]", "Input",
  PageWidth->Infinity],

Cell["\<\
     En este \[UAcute]ltimo caso no se ha generado salida ya que f[x] no est\
\[AAcute] definida para x=3. Pero la siguiente funci\[OAcute]n est\[AAcute] \
definida en todo R.\
\>", "Text",
  Evaluatable->False],

Cell["f[x_]:=Which[0<=x<=1, x^2, 1<=x<=2, 2-x^2, True, 0]", "Input",
  PageWidth->Infinity],

Cell["f[3]", "Input",
  PageWidth->Infinity],

Cell["Bucles", "Section",
  Evaluatable->False],

Cell["\<\
     Las \[OAcute]rdenes m\[AAcute]s importantes que definen bucles, o \
procesos repetitivos, son For, Do y While, cuyas estructuras son del tipo:
                    
                                For[contador=inicio, condici\[OAcute]n, paso, \
proceso]
                     
                                Do[ proceso, {contador, incio, fin, paso}]

                                While[ condici\[OAcute]n, proceso]

     Como ejemplo en el que se muestre la diferencia de estructuras nos \
planteamos el problema de escribir los 9  primeros n\[UAcute]meros naturales \
y sus cubos me- diante cada una de estas sentencias.\
\>", "Text",
  Evaluatable->False],

Cell["For[i=1,i<=9,i++,Print[i,\"   \",i^3]]", "Input",
  PageWidth->Infinity],

Cell["Do[Print[i,\"    \",i^3],{i,1,9}]", "Input",
  PageWidth->Infinity],

Cell["\<\
i=1;
While[i<=9, Print[i,\"    \",i^3];i=i+1]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
     En el siguiente siguiente ejemplo observe c\[OAcute]mo actu\[AAcute]n \
las variables  i,  llamada contador, y   s, llamada acumulador. Se trata del \
c\[AAcute]lculo de la suma de los 20  primeros n\[UAcute]meros naturales \
pares, del 2 al 40. \
\>", "Text",
  Evaluatable->False],

Cell["\<\
s=0;
Do[s=s+2*i, {i,1,20}]
s\
\>", "Input",
  PageWidth->Infinity],

Cell["Iteradores Sum y Product", "Section",
  Evaluatable->False],

Cell["\<\
     La anterior suma se podr\[IAcute]a haber calculado directamente \
utilizando la orden

                                Sum[ expresi\[OAcute]n, {contador, inicio, \
fin, paso}]

que en nuestro caso se traduce en:\
\>", "Text",
  Evaluatable->False],

Cell["Sum[2*i,{i,20}]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Si en lugar de la suma se deseara el producto se utilizar\[IAcute]a la \
sentencia

                                Product[ expresi\[OAcute]n, {contador, \
inicio, fin, paso}]

es decir, el producto de los 20 primeros n\[UAcute]meros naturales pares \
es:\
\>", "Text",
  Evaluatable->False],

Cell["Product[2*i,{i,20}]", "Input",
  PageWidth->Infinity],

Cell["\<\
     An\[AAcute]logamente, la suma y el producto de los cuadrados de los m\
\[UAcute]ltiplos de 3 entre 6 y 27 es:\
\>", "Text",
  Evaluatable->False],

Cell["Sum[i,{i,6,27,2}]", "Input",
  PageWidth->Infinity],

Cell["Product[i,{i,6,17,2}]", "Input",
  PageWidth->Infinity],

Cell["Listas", "Section",
  Evaluatable->False],

Cell["\<\
     Una lista es un conjunto de datos cualesquiera. Los siguientes ejemplos \
asignan listas a variables, efect\[UAcute]an operaciones con listas o eval\
\[UAcute]an funciones en listas.\
\>", "Text",
  Evaluatable->False],

Cell["a={1,2,3}", "Input",
  PageWidth->Infinity],

Cell["a^2", "Input",
  PageWidth->Infinity],

Cell["b={-1,0,1}", "Input",
  PageWidth->Infinity],

Cell["a+b", "Input",
  PageWidth->Infinity],

Cell["Sin[a]", "Input",
  PageWidth->Infinity],

Cell["%//N", "Input",
  PageWidth->Infinity],

Cell["E^b", "Input",
  PageWidth->Infinity],

Cell["\<\
     La orden  
                                                      Length[lista]

calcula el n\[UAcute]mero de componentes de la lista.\
\>", "Text",
  Evaluatable->False],

Cell["Length[a]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Una lista puede tener como componentes otras listas. Por ejemplo:\
\>", "Text",
  Evaluatable->False],

Cell["a={{1,2,3},{-1,-2,-3},{2,3,1}}", "Input",
  PageWidth->Infinity],

Cell["a^2", "Input",
  PageWidth->Infinity],

Cell["\<\
     En el caso en el que todas las sublistas de una lista sean de la misma \
longitud, se puede considerar la lista como una tabla en la que cada fila est\
\[AAcute] formada por las componentes de cada sublista y puede visualizarse \
en esta forma con la orden

                                                       TableForm[a]\
\>", "Text",
  Evaluatable->False],

Cell["TableForm[a]", "Input",
  PageWidth->Infinity],

Cell["\<\
     La orden  Table  genera una lista de elementos. Observe su estructura en \
los siguientes ejemplos:                      \
\>", "Text",
  Evaluatable->False],

Cell["Table[i,{i,1,3}]", "Input",
  PageWidth->Infinity],

Cell["Table[i*j, {i,-1,2},{j,2}]", "Input",
  PageWidth->Infinity],

Cell["Table[i+j,{i,1,3},{j,2,6,2}]", "Input",
  PageWidth->Infinity],

Cell["\<\
     La orden 

                                                 Dimensions[lista]

genera una lista con las dimensiones de la lista dada y las sublistas que la \
componen,  en el caso de que existan.\
\>", "Text",
  Evaluatable->False],

Cell["\<\
a={-1,3,5};
Dimensions[a]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
a={{1,2},{3,5},{-1,1}};
Dimensions[a]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
     Un elemento de una lista se indica con el nombre de la lista y la posici\
\[OAcute]n que ocupa indicada entre dobles corchetes. Por ejemplo el segundo \
elemento de la lista a se escribe:\
\>", "Text",
  Evaluatable->False],

Cell["a[[2]]", "Input",
  PageWidth->Infinity],

Cell["b[[1]]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Si los elementos de una lista son sublistas, la expresi\[OAcute]n

                                                                      a[[i,j]]\


indica la componente j-\[EAcute]sima de la sublista i-\[EAcute]sima.\
\>", "Text",
  Evaluatable->False],

Cell["a[[2,2]]", "Input",
  PageWidth->Infinity],

Cell["a[[3,1]]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Por \[UAcute]ltimo, si se desea a\[NTilde]adir una nueva componente a \
una lista se escribir\[AAcute] la orden

                                                     AppendTo[ lista, \
elemento]

que a\[NTilde]ade el elemento cmo \[UAcute]ltima componente a la lista. \
Observe esta orden en los siguientes ejemplos:\
\>", "Text",
  Evaluatable->False],

Cell["m=Table[i*j,{j,3},{i,1,7,2}]", "Input",
  PageWidth->Infinity],

Cell["v=Table[i^3,{i,-2,8,3}]", "Input",
  PageWidth->Infinity],

Cell["AppendTo[m,v]", "Input",
  PageWidth->Infinity],

Cell["AppendTo[v,1000]", "Input",
  PageWidth->Infinity],

Cell["Ejercicios", "Section",
  Evaluatable->False],

Cell["\<\
1.- Calcule, usando la orden Do, la suma de los n\[UAcute]meros comprendidos \
entre 1890 y ds que sean m\[UAcute]ltiplos de 5. Resolver el mismo problema \
usando  la orden Sum.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

2.- Genere, y guarde en la variable pol, una lista de 10 polinomios tales que \
el que ocupa la posici\[OAcute]n i-\[EAcute]sima sea x^i+d1 x+d2. Efect\
\[UAcute]e su suma y su producto con las \[OAcute]rdenes Sum y Product. \
Vuelva a calcular la suma y el producto utilizando acumuladores y observe que \
se obtiene el mismo resultado (escriba  el producto en la base \
can\[OAcute]nica del espacio correspondiente, no expresado como producto de \
factores).\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

3.- Sea  v  un vector de n componentes. Se define la longitud de  v  como la \
norma eucl\[IAcute]dea del mismo, es decir, la ra\[IAcute]z cuadrada de la \
suma de los cuadrados de sus componentes. Escriba el vector cuyas componentes \
son los d\[IAcute]gitos de su D.N.I. y calcular su longitud.\
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

4.- Use las \[OAcute]rdenes Do e If para programar el siguiente problema: se \
desea calcular el producto de las componentes del vector del problema \
anterior que no sean nulas. Compruebe que se obtiene el mismo resultado \
cuando en el vector v se suprimen las componentes nulas y se calcula el \
producto de las restantes con la orden Product. Apl\[IAcute]quelo todo de \
nuevo al vector  v1={1,0,1,0,1,0,dm,0}.     \
\>", "Text",
  Evaluatable->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]]
},
FrontEndVersion->"Microsoft Windows 3.0",
ScreenRectangle->{{0, 800}, {0, 542}},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{669, 473},
WindowMargins->{{1, Automatic}, {Automatic, 1}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1709, 49, 129, 3, 54, "Subtitle"],
Cell[1841, 54, 160, 3, 54, "Subtitle"],
Cell[2004, 59, 72, 1, 53, "Section"],
Cell[2079, 62, 69, 1, 30, "Input"],
Cell[2151, 65, 125, 3, 33, "Text"],
Cell[2279, 70, 59, 1, 30, "Input"],
Cell[2341, 73, 66, 1, 30, "Input"],
Cell[2410, 76, 51, 1, 30, "Input"],
Cell[2464, 79, 57, 1, 30, "Input"],
Cell[2524, 82, 58, 1, 30, "Input"],
Cell[2585, 85, 55, 1, 30, "Input"],
Cell[2643, 88, 57, 1, 30, "Input"],
Cell[2703, 91, 72, 1, 30, "Input"],
Cell[2778, 94, 76, 1, 30, "Input"],
Cell[2857, 97, 172, 3, 33, "Text"],
Cell[3032, 102, 69, 1, 84, "Input"],
Cell[3104, 105, 70, 1, 84, "Input"],
Cell[3177, 108, 175, 3, 33, "Text"],
Cell[3355, 113, 60, 1, 30, "Input"],
Cell[3418, 116, 54, 1, 30, "Input"],
Cell[3475, 119, 63, 1, 30, "Input"],
Cell[3541, 122, 55, 1, 30, "Input"],
Cell[3599, 125, 248, 5, 52, "Text"],
Cell[3850, 132, 53, 1, 30, "Input"],
Cell[3906, 135, 60, 1, 30, "Input"],
Cell[3969, 138, 54, 1, 30, "Input"],
Cell[4026, 141, 55, 1, 30, "Input"],
Cell[4084, 144, 81, 1, 33, "Text"],
Cell[4168, 147, 58, 1, 30, "Input"],
Cell[4229, 150, 54, 1, 30, "Input"],
Cell[4286, 153, 55, 1, 30, "Input"],
Cell[4344, 156, 94, 1, 33, "Text"],
Cell[4441, 159, 166, 3, 33, "Text"],
Cell[4610, 164, 67, 1, 30, "Input"],
Cell[4680, 167, 56, 1, 30, "Input"],
Cell[4739, 170, 121, 3, 53, "Section"],
Cell[4863, 175, 1085, 20, 261, "Text"],
Cell[5951, 197, 43, 1, 30, "Input"],
Cell[5997, 200, 44, 1, 30, "Input"],
Cell[6044, 203, 44, 1, 30, "Input"],
Cell[6091, 206, 43, 1, 30, "Input"],
Cell[6137, 209, 44, 1, 30, "Input"],
Cell[6184, 212, 43, 1, 30, "Input"],
Cell[6230, 215, 44, 1, 30, "Input"],
Cell[6277, 218, 43, 1, 30, "Input"],
Cell[6323, 221, 52, 1, 30, "Input"],
Cell[6378, 224, 52, 1, 30, "Input"],
Cell[6433, 227, 54, 1, 30, "Input"],
Cell[6490, 230, 49, 1, 30, "Input"],
Cell[6542, 233, 374, 11, 147, "Text"],
Cell[6919, 246, 134, 6, 84, "Input"],
Cell[7056, 254, 140, 4, 48, "Input"],
Cell[7199, 260, 290, 6, 52, "Text"],
Cell[7492, 268, 82, 1, 30, "Input"],
Cell[7577, 271, 46, 1, 30, "Input"],
Cell[7626, 274, 46, 1, 30, "Input"],
Cell[7675, 277, 44, 1, 30, "Input"],
Cell[7722, 280, 221, 5, 52, "Text"],
Cell[7946, 287, 91, 1, 30, "Input"],
Cell[8040, 290, 44, 1, 30, "Input"],
Cell[8087, 293, 47, 1, 53, "Section"],
Cell[8137, 296, 675, 15, 204, "Text"],
Cell[8815, 313, 78, 1, 30, "Input"],
Cell[8896, 316, 73, 1, 30, "Input"],
Cell[8972, 319, 93, 4, 48, "Input"],
Cell[9068, 325, 297, 6, 52, "Text"],
Cell[9368, 333, 76, 5, 66, "Input"],
Cell[9447, 340, 65, 1, 53, "Section"],
Cell[9515, 343, 262, 9, 109, "Text"],
Cell[9780, 354, 55, 1, 30, "Input"],
Cell[9838, 357, 307, 10, 109, "Text"],
Cell[10148, 369, 59, 1, 30, "Input"],
Cell[10210, 372, 160, 4, 33, "Text"],
Cell[10373, 378, 57, 1, 30, "Input"],
Cell[10433, 381, 61, 1, 30, "Input"],
Cell[10497, 384, 47, 1, 53, "Section"],
Cell[10547, 387, 233, 5, 52, "Text"],
Cell[10783, 394, 49, 1, 30, "Input"],
Cell[10835, 397, 43, 1, 30, "Input"],
Cell[10881, 400, 50, 1, 30, "Input"],
Cell[10934, 403, 43, 1, 30, "Input"],
Cell[10980, 406, 46, 1, 30, "Input"],
Cell[11029, 409, 44, 1, 30, "Input"],
Cell[11076, 412, 43, 1, 30, "Input"],
Cell[11122, 415, 184, 6, 90, "Text"],
Cell[11309, 423, 49, 1, 30, "Input"],
Cell[11361, 426, 116, 3, 33, "Text"],
Cell[11480, 431, 70, 1, 30, "Input"],
Cell[11553, 434, 43, 1, 30, "Input"],
Cell[11599, 437, 376, 8, 90, "Text"],
Cell[11978, 447, 52, 1, 30, "Input"],
Cell[12033, 450, 172, 4, 33, "Text"],
Cell[12208, 456, 56, 1, 30, "Input"],
Cell[12267, 459, 66, 1, 30, "Input"],
Cell[12336, 462, 68, 1, 30, "Input"],
Cell[12407, 465, 246, 8, 109, "Text"],
Cell[12656, 475, 73, 4, 48, "Input"],
Cell[12732, 481, 85, 4, 48, "Input"],
Cell[12820, 487, 238, 5, 52, "Text"],
Cell[13061, 494, 46, 1, 30, "Input"],
Cell[13110, 497, 46, 1, 30, "Input"],
Cell[13159, 500, 268, 8, 109, "Text"],
Cell[13430, 510, 48, 1, 30, "Input"],
Cell[13481, 513, 48, 1, 30, "Input"],
Cell[13532, 516, 367, 10, 109, "Text"],
Cell[13902, 528, 68, 1, 30, "Input"],
Cell[13973, 531, 63, 1, 30, "Input"],
Cell[14039, 534, 53, 1, 30, "Input"],
Cell[14095, 537, 56, 1, 30, "Input"],
Cell[14154, 540, 51, 1, 53, "Section"],
Cell[14208, 543, 331, 8, 68, "Text"],
Cell[14542, 553, 614, 13, 125, "Text"],
Cell[15159, 568, 450, 10, 87, "Text"],
Cell[15612, 580, 573, 12, 125, "Text"]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

