(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     24316,        834]*)
(*NotebookOutlinePosition[     25172,        863]*)
(*  CellTagsIndexPosition[     25128,        859]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\<\
Pr\[AAcute]ctica 5
Matrices\
\>", "Title",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  TextAlignment->Center],

Cell["", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
      Lo primero que necesitamos es la forma en que se escriben las matrices \
en Mathematica.  Recordemos que cada fila corresponde a una lista y que los \
elementos de \[EAcute]sta  van entre llaves separados por comas. Las matrices \
se pueden escribir directamente, aunque a veces, si sus elementos proceden de \
evaluar cierta funci\[OAcute]n, se pueden construir con Table.
     Damos algunos ejemplos:\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Clear[\"Global`*\"]", "Input",
  PageWidth->Infinity],

Cell["a1=Table[1/(i+j),{i,5},{j,5}];", "Input",
  PageWidth->Infinity],

Cell["\<\
a2={{2,3,4,5,6},{3,4,5,6,7},{4,5,6,7,8},
       {5,6,7,8,9},{6,7,8,9,10}};\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
a3={{1,1,1,1,1},{1,1,1,1,1},{1,1,1,1,1},
        {1,1,1,1,1},{1,1,1,1,1}};\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
a4={{1,0},{0,0},{0,0},{0,0},{0,1}};
a5={0,1,0,0,0}\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
Podemos presentar las matrices en el formato que les es propio:\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["MatrixForm[a1]", "Input",
  PageWidth->Infinity],

Cell["MatrixForm[a2]", "Input",
  PageWidth->Infinity],

Cell["\<\
     Como Mathematica opera en modo simb\[OAcute]lico, salvo que se indique \
lo contrario, si queremos ver los elementos de la matriz a1 con 2 cifras \
significativa, debemos pedir el valor num\[EAcute]rico:\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["MatrixForm[N[a1,2]]", "Input",
  PageWidth->Infinity],

Cell[" Operaciones", "Section",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell[" Suma y resta de matrices.", "Subsection",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   La ejecuci\[OAcute]n de las correspondientes celdillas mostrar\[AAcute] cu\
\[AAcute]les de las siguientes operaciones no son posibles.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["a1-a1", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a2+a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a1+a2+a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a3+a4", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["\<\
N\[OAcute]tense los mensajes de error anteriores y las salidas \
correspondientes.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell[" Producto por escalares", "Subsection",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True],

Cell["\<\
     Para ver c\[OAcute]mo se multiplica una matriz por un escalar ser\
\[AAcute] suficiente que consideremos algunos ejemplos. \
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["7a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["7*a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a3/7", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["1/7 a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["\<\
N\[OAcute]tense los mensajes de error anteriores y las salidas \
correspondientes.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell[" Producto de matrices", "Subsection",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True],

Cell["\<\
   Para multiplicar dos matrices hay que emplear el s\[IAcute]mbolo  \".\" \
entre ambas. Si se deja un espacio o se emplea el signo \" * \" lo que hace \
es multiplicar elemento a elemento entre los que ocupan la misma posici\
\[OAcute]n. Cuando una matriz es de tipo fila o columna Mathematica la \
considera convenientemente como tal y, por tanto, en los ejemplos anteriores \
es posible efectuar a5.a1 y a1.a5, pues, en el primer caso, considerada a5 \
como matriz fila, es posible la multiplicaci\[OAcute]n y, en el segundo caso, \
considerado como columna,  tambi\[EAcute]n es posible efectuar la \
multiplicaci\[OAcute]n. A continuaci\[OAcute]n se incluyen diferentes \
operaciones. Se observar\[AAcute] que es posible efectuar algunas  y otras \
no.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True],

Cell["a2.a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a1.a2.a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a3.a5", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a4.a1", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a5.a2", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a5*a2", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a2*a3", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["a4 a4", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["\<\
   Una operaci\[OAcute]n importante al trabajar con matrices cuadradas es \
hallar potencias de las mismas. Este problema se reduce a calcular el \
producto de una matriz consigo misma un determinado n\[UAcute]mero de veces. \
Sin embargo, si la potencia es alta, para evitar la utilizaci\[OAcute]n de \
una sentencia For o Do, Mathematica dispone de un comando que produce \
directamente el resultado buscado. Es

                                      MatrixPower[matriz,exponente].

   Si exponente es un n\[UAcute]mero natural, proporciona la correspondiente \
potencia de la matriz, mientras que si es un entero negativo se obtiene como \
salida la potencia indicada de la matriz inversa (si matriz es invertible).\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Por ejemplo, la cuarta potencia de la matriz a2 es", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["MatrixPower[a2,4]", "Input",
  PageWidth->Infinity],

Cell[" Inversa, Traspuesta y Determinante de una matriz.", "Section",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Las matrices inversa y traspuesta de una matriz, as\[IAcute] como su \
determinante, se obtienen con las sentencias Inverse[matriz], \
Transpose[matriz], y Det[matriz], respectivamente. Las siguientes \
instrucciones permiten determinar si la matriz a1 considerada tiene inversa o \
no.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
If[Det[a1]==0,
   Print[\"la matriz considerada no tiene inversa\"],
   a11=Inverse[a1]
   ]\
\>", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["\<\
Podemos hallar su determinante, as\[IAcute] como presentarla en formato \
matricial.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Det[a1]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["MatrixForm[a11.a1]", "Input",
  PageWidth->Infinity],

Cell["Tambi\[EAcute]n podemos hallar el determinante de la matriz a2.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Det[a2]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["Esta matriz, en consecuencia, no tiene inversa.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Consideremos una nueva matriz y algunos hechos sobre ella.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
m={{5,0,0,0,0},{2,4,0,0,0},{1,0,6,0,0},{1,1,1,1,0},{2,0,1,0,1}}\
\>", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["MatrixForm[m]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["Det[m]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["im=Inverse[m]", "Input",
  PageWidth->Infinity],

Cell["MatrixForm[im]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["Det[im]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["MatrixForm[Transpose[m]]", "Input",
  PageWidth->Infinity,
  AspectRatioFixed->True],

Cell["Rango de una matriz", "Section",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Una operaci\[OAcute]n que hay que efectuar a menudo al tratar problemas en \
los que intervienen matrices consiste en calcular el n\[UAcute]cleo. \
Disponemos de varios procedimientos, de los que vamos a reflejar dos.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Menores de una matriz.", "Subsection",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   La forma habitual de determinar el rango de una matriz consiste en \
determinar el orden m\[AAcute]ximo de las submatrices con determinante no \
nulo. Para ello utilizamos la orden

                            Minors[matriz,orden]

   Produce los menores de la matriz indicada del orden que se especifica. \
Conviene presentar un ejemplo.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Definimos una matriz.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["matriz=Table[i+j,{i,5},{j,3}]", "Input",
  PageWidth->Infinity],

Cell["\<\
Su rango puede ser, a lo sumo, tres. Hallamos, por tanto, los menores de \
orden tres.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Minors[matriz,3]", "Input",
  PageWidth->Infinity],

Cell["\<\
Observamos que todos son nulos, por lo que el rango es inferior a tres.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Pasamos a los de orden dos.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Minors[matriz,2]", "Input",
  PageWidth->Infinity],

Cell["\<\
Como alguno de ellos es no nulo (realmente, todos), la matriz es de rango \
dos.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Si quisi\[EAcute]semos saber qu\[EAcute] filas y columnas son las que \
producen un menor de orden igual al rango, deber\[IAcute]amos conocer la \
forma de operar de la orden Minors. Para ello, definiremos un matriz \
arbitraria de un orde determinado y le aplicaremos la mencionada instrucci\
\[OAcute]n.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
Clear[\"Global`*\"]
matriz={{a1,a2,a3},{b1,b2,b3},{c1,c2,c3},{d1,d2,d3},{e1,e2,e3}};\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
Es inmediato ver c\[OAcute]mo opera Minors para producir los menores de orden \
uno.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Minors[matriz,1]", "Input",
  PageWidth->Infinity],

Cell["\[DownQuestion]C\[OAcute]mo act\[UAcute]a con los de orden dos?. ", 
  "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["menores2=Minors[matriz,2];", "Input",
  PageWidth->Infinity],

Cell["\<\
   La lista anterior, que no ha sido mostrada por contener un n\[UAcute]mero \
elevado de elementos, es de orden 10x3, como se comprueba f\[AAcute]cilmente:\
\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Dimensions[menores2]", "Input",
  PageWidth->Infinity],

Cell["Veamos su primera lista componente.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["menores2[[1]]", "Input",
  PageWidth->Infinity],

Cell["Su primer elemento es", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["menores2[[1,1]]", "Input",
  PageWidth->Infinity],

Cell["\<\
   Es el determinante asociado a la submatriz

                            {{a1,a2},
                             {b1,b2}}

de la matriz considerada, formada con las columnas primera y segunda de las \
filas primera y segunda.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["El segundo elemento es", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["menores2[[1,2]]", "Input",
  PageWidth->Infinity],

Cell["\<\
   Es el determinante asociado a la submatriz

                            {{a1,a3},
                              {b1,b3}}

de la matriz considerada, formada con las columnas primera y tercera de las \
filas primera y segunda.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Por \[UAcute]ltimo, el tercer elemento es", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["menores2[[1,3]]", "Input",
  PageWidth->Infinity],

Cell["\<\
   Corresponde al determinante asociado a la submatriz

                            {{a2,a3},
                              {b2,b3}}

de la matriz considerada, formada tambi\[EAcute]n con las columnas segunda y \
tercera de las filas primera y segunda.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Es inmediato comprobar que la lista segunda de menores2 consta de \
similares determinantes pero correspondientes a las filas primera y tercera \
de la matriz de partida. Lo mismo sucede con las restantes. Se recomienda \
analizar el comportamiento de Minors en lo que se refiere a los de orden \
tres.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Reducci\[OAcute]n de la matriz por filas", "Subsection",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Otro m\[EAcute]todo para determinar el rango de una matriz es someterla a \
transformaciones elementales por filas, lo que se consigue con la orden \
RowReduce.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
   Vemos c\[OAcute]mo funciona con la misma matriz num\[EAcute]rica de la \
subsecci\[OAcute]n anterior, que debe ser redefinida.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
matriz=Table[i+j,{i,5},{j,3}];
RowReduce[matriz]
MatrixForm[%]\
\>", "Input",
  PageWidth->Infinity],

Cell["\<\
   Apreciamos que se obtiene un matriz equivalente a la original con tres \
filas nulas, lo que indica que el rango es dos \[DownQuestion]Se puede saber \
con este m\[EAcute]todo qu\[EAcute] filas y columnas de la matriz de partida \
proporcionan la submatriz de orden igual al rango con determinante no \
nulo?.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
Responderemos con un ejemplo. Definimos una matriz muy simple.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["\<\
matriz={{0,0,1,0,0},{0,0,0,1,0},{0,0,1,1,0},{0,0,1,0,1},{0,0,0,0,1}};
MatrixForm[matriz]\
\>", "Input",
  PageWidth->Infinity],

Cell["La reducimos.", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["RowReduce[matriz]//MatrixForm", "Input",
  PageWidth->Infinity],

Cell["\<\
   Se podr\[IAcute]a pensar que con las tres \[UAcute]ltimas columnas de las \
tres primeras filas se obtendr\[IAcute]a una submatriz de la matriz \
considerada inicialmente de orden tres de determinante no nulo. Sin embargo, \
se comprueba  inmediatamente que tal submatriz tiene determinante nulo. En \
consecuencia, la funci\[OAcute]n RowReduce proporciona informaci\[OAcute]n \
sobre el rango de la matriz, entre otras cosa, pero no debe usarse para \
establecer qu\[EAcute] submatriz debe considerarse.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False],

Cell["Ejercicios", "Section",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True],

Cell["\<\

1.-  Realice un programa a partir de la orden For para multiplicar la matriz
 
                          A={{d1, d2, d3, d4}, {1, 1, 1, 1}, {dm, 0, 0, dm}, \
{ 0, 0 ,0, 0}}

       de orden 4x4 por el vector 
  
                          v={d1, dm, d5, d2}

       generando como salida el vector b. Compruebe que se obtiene el mismo \
resultado al procesar la orden A.v \
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

2.- Se considera la matriz

             a={{1, 1, 1, 1, 1},
                    {1+2 d2, 1, 1+2 d2, 1+4 d2, 1-d2},
                    {1-2 dm, 3, -1-2 dm, -1-4 dm, dm},
                    {2, 0, 4, 3, 1},
                    {2 dm, -1, 2+2 dm, 3+4 dm, 6-dm}}

     Halle su traspuesta. Asimismo, determine las matrices a^2 y a^3. \
\[DownQuestion]Cu\[AAcute]l es el determinante de a? \[DownQuestion]Es \
invertible? En caso afirmativo, halle su inversa. Reduzca por filas la matriz \
a. \[DownQuestion]Cu\[AAcute]l es el rango de a?\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

3.- Sea la matriz

             a={{1, 1, 1, 1, 1},
                    {1, 0, 1, 0, 1},
                    {5 d1+d2, 5 d1, d2-5 d1, 5 d1, -5 d1+d2},
                    {1, -1, 3, -1, 3}}

      Halle los menores de \[OAcute]rdenes 4 y 3. \[DownQuestion]Qu\[EAcute] \
rango tiene a? Halle un menor que proporcione tal rango.

      Consideremos la matriz

              b={{1, 1, 1, 1, 1},
                     {1, 1, 1, 1, 0},
                     {1, 1, 1, 0, 0},
                     {1, 1, 1, 0, -1}}

       \[DownQuestion]Hay alg\[UAcute]n conjunto de transformaciones \
elementales por filas que transforme la matriz a en b?\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

4.- Sea v el vector de coordenadas (3 d4, -13 ds, 23) respecto a la base can\
\[OAcute]nica de R^3.
      Se consideran tambi\[EAcute]n los siguientes conjuntos:

                                              base1={(1, 2, 3), (2, 3, 4), \
(3, 4, 6)}
                                              base2={(1, 0, 1), (0, 1, 2), \
(0, 0, 3)}
                                              base3={(-1, -2, 2), (2, 2, 2), \
(50, 100, -30)}

    a) Compruebe que base1, base2 y base3 son bases de R^3.
    b) Halle las matrices de cambio de base de la base can\[OAcute]nica a \
base1, de base1 a base2, de base2 a base3 y de base1 a base3.
    c) Escriba v en las tres bases. Compruebe la correci\[OAcute]n de los \
resultados y que para hallar sus coordenadas respecto de base3 da igual pasar \
por base2 que utilizar directamente la matriz de cambio de base de base1 a \
base3.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

5.- Sean B1={u1,u2,u3} y B2={v1,v2,v3} dos bases de R^3 relacionadas de la \
siguiente manera:
                                               v1=u1- u2+ ds u3
                                               v2=u1+ dm u2
                                               v3=-u1

     Si un vector v tiene coordenadas (1, -dm, ds) respecto de B1, \
\[DownQuestion]cu\[AAcute]les son sus coordenadas respecto de B2?\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

6.- Se considera la aplicaci\[OAcute]n lineal f:R^3 ->R^2 dada por

                                             f(x, y, z)=(x+y, y+ds z)

     a) Halle su matriz asociada respecto de las bases can\[OAcute]nicas de \
R^3 y R^2.
     b) Halle el transformado del vecto v=(d3, ds, dm), que se supone \
expresado en la base can\[OAcute]nica de R^3.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

7.- Se considera el endomorfismo f: R^4 -> R^4 que, respecto de la base can\
\[OAcute]nica de R^4, tiene como matriz asociada
       {(ds, 1, 1, 1), (1, 2, 1, 1), (1, 1, 2, 1), (1, 1, 1, (2 ds -1)/(3 ds \
-2))}

     a) Halle una base y las ecuaciones impl\[IAcute]citas de su \
n\[UAcute]cleo.
     b) Halle una base y las ecuaciones impl\[IAcute]citas de su imagen.
     c) Determine si el vector (-3 + 4 ds, -3 + 3 ds, -2 + 3 ds, -1 + 2 ds) \
pertenece a la imagen de f.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

8.- Sea 
                    A={(1, 1, 1, d1, d2), (2, 2, 2, d3, d4), (3, 3, d3, d5, \
d6), (4, 4, 4, d1, d6)}

     Supongamos que A representa una aplicaci\[OAcute]n entre dos espacios \
vectoriales de dimensiones 5 y 4, respectivamente.

     a) Halle una base del n\[UAcute]cleo de dicha aplicaci\[OAcute]n.
     b) Escriba un vector, distinto de los de la base del n\[UAcute]cleo, que \
se transforme mediante la aplicaci\[OAcute]n lineal en el cero del segundo \
espacio vectorial.
     c) Calcule la imagen de (1, 0, 0, 0, 1).\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

9.- Sea A la siguiente matriz:

                           A={(dm, 0, 0), (d1, ds, dm), (d2, dm, ds)}

     Diagonalice A\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

10.- Con los datos del ejercicio anterior compruebe que, simmD es la matriz \
diagonal resultante al diagonalizar A y P la de paso, entonces la potencia \
quinta de A vale

                                                                P. \
mD^5.P^(-1)\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

11.- Calcule los vectores propios de la matriz A={(2, 5, 0), (0, 3, 5), (0, \
0, 3)} y las dimensiones de los subespacios propios y determine si la matriz \
A es diagonalizable o no.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]],

Cell["\<\

12.- Para la matriz A={(20.1, 1, 5), (2, 2, 2), (-8, -3, 5)}, calcule todos \
los valores y vectores propios usdando las \[OAcute]rdenes Eigenvalues y \
Eigenvectors.\
\>", "Text",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  FontFamily->"Times New Roman",
  FontColor->RGBColor[0, 0, 0.500008],
  Background->GrayLevel[0.666667]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 685}},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{706, 622},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
PrivateNotebookOptions->{"ColorPalette"->{RGBColor, -1}},
ShowCellLabel->True,
ShowCellTags->False,
RenderingOptions->{"ObjectDithering"->True,
"RasterDithering"->False}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1705, 50, 133, 6, 170, "Title",
  Evaluatable->False],
Cell[1841, 58, 72, 2, 33, "Text",
  Evaluatable->False],
Cell[1916, 62, 488, 9, 90, "Text",
  Evaluatable->False],
Cell[2407, 73, 59, 1, 30, "Input"],
Cell[2469, 76, 70, 1, 30, "Input"],
Cell[2542, 79, 122, 4, 48, "Input"],
Cell[2667, 85, 122, 4, 48, "Input"],
Cell[2792, 91, 98, 4, 48, "Input"],
Cell[2893, 97, 143, 4, 33, "Text",
  Evaluatable->False],
Cell[3039, 103, 54, 1, 30, "Input"],
Cell[3096, 106, 54, 1, 30, "Input"],
Cell[3153, 109, 288, 6, 52, "Text",
  Evaluatable->False],
Cell[3444, 117, 59, 1, 30, "Input"],
Cell[3506, 120, 87, 2, 59, "Section",
  Evaluatable->False],
Cell[3596, 124, 104, 2, 47, "Subsection",
  Evaluatable->False],
Cell[3703, 128, 218, 5, 33, "Text",
  Evaluatable->False],
Cell[3924, 135, 71, 2, 30, "Input"],
Cell[3998, 139, 71, 2, 30, "Input"],
Cell[4072, 143, 74, 2, 30, "Input"],
Cell[4149, 147, 71, 2, 30, "Input"],
Cell[4223, 151, 162, 5, 33, "Text",
  Evaluatable->False],
Cell[4388, 158, 127, 3, 47, "Subsection",
  Evaluatable->False],
Cell[4518, 163, 208, 5, 33, "Text",
  Evaluatable->False],
Cell[4729, 170, 69, 2, 30, "Input"],
Cell[4801, 174, 70, 2, 30, "Input"],
Cell[4874, 178, 70, 2, 30, "Input"],
Cell[4947, 182, 72, 2, 30, "Input"],
Cell[5022, 186, 162, 5, 33, "Text",
  Evaluatable->False],
Cell[5187, 193, 125, 3, 47, "Subsection",
  Evaluatable->False],
Cell[5315, 198, 863, 15, 109, "Text",
  Evaluatable->False],
Cell[6181, 215, 71, 2, 30, "Input"],
Cell[6255, 219, 74, 2, 30, "Input"],
Cell[6332, 223, 71, 2, 30, "Input"],
Cell[6406, 227, 71, 2, 30, "Input"],
Cell[6480, 231, 71, 2, 30, "Input"],
Cell[6554, 235, 71, 2, 30, "Input"],
Cell[6628, 239, 71, 2, 30, "Input"],
Cell[6702, 243, 71, 2, 30, "Input"],
Cell[6776, 247, 798, 15, 166, "Text",
  Evaluatable->False],
Cell[7577, 264, 122, 2, 33, "Text",
  Evaluatable->False],
Cell[7702, 268, 57, 1, 30, "Input"],
Cell[7762, 271, 125, 2, 59, "Section",
  Evaluatable->False],
Cell[7890, 275, 369, 8, 71, "Text",
  Evaluatable->False],
Cell[8262, 285, 166, 7, 84, "Input"],
Cell[8431, 294, 164, 5, 33, "Text",
  Evaluatable->False],
Cell[8598, 301, 73, 2, 30, "Input"],
Cell[8674, 305, 58, 1, 30, "Input"],
Cell[8735, 308, 135, 2, 33, "Text",
  Evaluatable->False],
Cell[8873, 312, 73, 2, 30, "Input"],
Cell[8949, 316, 119, 2, 33, "Text",
  Evaluatable->False],
Cell[9071, 320, 130, 2, 33, "Text",
  Evaluatable->False],
Cell[9204, 324, 137, 4, 30, "Input"],
Cell[9344, 330, 79, 2, 30, "Input"],
Cell[9426, 334, 72, 2, 30, "Input"],
Cell[9501, 338, 53, 1, 30, "Input"],
Cell[9557, 341, 80, 2, 30, "Input"],
Cell[9640, 345, 73, 2, 30, "Input"],
Cell[9716, 349, 90, 2, 30, "Input"],
Cell[9809, 353, 94, 2, 59, "Section",
  Evaluatable->False],
Cell[9906, 357, 300, 6, 52, "Text",
  Evaluatable->False],
Cell[10209, 365, 100, 2, 47, "Subsection",
  Evaluatable->False],
Cell[10312, 369, 421, 11, 128, "Text",
  Evaluatable->False],
Cell[10736, 382, 93, 2, 33, "Text",
  Evaluatable->False],
Cell[10832, 386, 69, 1, 30, "Input"],
Cell[10904, 389, 166, 5, 33, "Text",
  Evaluatable->False],
Cell[11073, 396, 56, 1, 30, "Input"],
Cell[11132, 399, 151, 4, 33, "Text",
  Evaluatable->False],
Cell[11286, 405, 99, 2, 33, "Text",
  Evaluatable->False],
Cell[11388, 409, 56, 1, 30, "Input"],
Cell[11447, 412, 160, 5, 33, "Text",
  Evaluatable->False],
Cell[11610, 419, 388, 8, 52, "Text",
  Evaluatable->False],
Cell[12001, 429, 132, 4, 48, "Input"],
Cell[12136, 435, 164, 5, 33, "Text",
  Evaluatable->False],
Cell[12303, 442, 56, 1, 30, "Input"],
Cell[12362, 445, 140, 3, 33, "Text",
  Evaluatable->False],
Cell[12505, 450, 66, 1, 30, "Input"],
Cell[12574, 453, 238, 6, 52, "Text",
  Evaluatable->False],
Cell[12815, 461, 60, 1, 30, "Input"],
Cell[12878, 464, 107, 2, 33, "Text",
  Evaluatable->False],
Cell[12988, 468, 53, 1, 30, "Input"],
Cell[13044, 471, 93, 2, 33, "Text",
  Evaluatable->False],
Cell[13140, 475, 55, 1, 30, "Input"],
Cell[13198, 478, 306, 10, 128, "Text",
  Evaluatable->False],
Cell[13507, 490, 94, 2, 33, "Text",
  Evaluatable->False],
Cell[13604, 494, 55, 1, 30, "Input"],
Cell[13662, 497, 307, 10, 128, "Text",
  Evaluatable->False],
Cell[13972, 509, 113, 2, 33, "Text",
  Evaluatable->False],
Cell[14088, 513, 55, 1, 30, "Input"],
Cell[14146, 516, 332, 10, 128, "Text",
  Evaluatable->False],
Cell[14481, 528, 385, 8, 71, "Text",
  Evaluatable->False],
Cell[14869, 538, 118, 2, 47, "Subsection",
  Evaluatable->False],
Cell[14990, 542, 243, 6, 52, "Text",
  Evaluatable->False],
Cell[15236, 550, 209, 5, 33, "Text",
  Evaluatable->False],
Cell[15448, 557, 110, 5, 66, "Input"],
Cell[15561, 564, 392, 8, 52, "Text",
  Evaluatable->False],
Cell[15956, 574, 142, 4, 33, "Text",
  Evaluatable->False],
Cell[16101, 580, 136, 4, 48, "Input"],
Cell[16240, 586, 85, 2, 33, "Text",
  Evaluatable->False],
Cell[16328, 590, 69, 1, 30, "Input"],
Cell[16400, 593, 587, 10, 90, "Text",
  Evaluatable->False],
Cell[16990, 605, 111, 3, 59, "Section",
  Evaluatable->False],
Cell[17104, 610, 585, 19, 220, "Text",
  Evaluatable->False],
Cell[17692, 631, 724, 19, 239, "Text",
  Evaluatable->False],
Cell[18419, 652, 821, 26, 372, "Text",
  Evaluatable->False],
Cell[19243, 680, 1060, 25, 258, "Text",
  Evaluatable->False],
Cell[20306, 707, 596, 15, 163, "Text",
  Evaluatable->False],
Cell[20905, 724, 533, 15, 163, "Text",
  Evaluatable->False],
Cell[21441, 741, 661, 17, 163, "Text"],
Cell[22105, 760, 721, 19, 220, "Text"],
Cell[22829, 781, 309, 12, 144, "Text"],
Cell[23141, 795, 441, 13, 125, "Text"],
Cell[23585, 810, 370, 10, 87, "Text"],
Cell[23958, 822, 354, 10, 87, "Text"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

